Package org.drinkless.tdlib

# Class TdApi.MessageGiveawayPrizeStars

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageGiveawayPrizeStars

Enclosing class:
  `TdApi`

public static class TdApi.MessageGiveawayPrizeStars extends TdApi.MessageContent
A Telegram Stars were received by the current user from a giveaway.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `boostedChatId`
  Identifier of the supergroup or channel chat, which was automatically boosted by the winners of the giveaway.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `giveawayMessageId`
  Identifier of the message with the giveaway in the boosted chat; may be 0 or an identifier of a deleted message.
  `boolean`
  `isUnclaimed`
  True, if the corresponding winner wasn't chosen and the Telegram Stars were received by the owner of the boosted chat.
  `long`
  `starCount`
  Number of Telegram Stars that were received.
  `TdApi.Sticker`
  `sticker`
  A sticker to be shown in the message; may be null if unknown.
  `String`
  `transactionId`
  Identifier of the transaction for Telegram Stars credit.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageGiveawayPrizeStars()`
  A Telegram Stars were received by the current user from a giveaway.
  `MessageGiveawayPrizeStars(long starCount, String transactionId, long boostedChatId, long giveawayMessageId, boolean isUnclaimed, TdApi.Sticker sticker)`
  A Telegram Stars were received by the current user from a giveaway.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### starCount

    public long starCount
    Number of Telegram Stars that were received.

  - ### transactionId

    public String transactionId
    Identifier of the transaction for Telegram Stars credit.

  - ### boostedChatId

    public long boostedChatId
    Identifier of the supergroup or channel chat, which was automatically boosted by the winners of the giveaway.

  - ### giveawayMessageId

    public long giveawayMessageId
    Identifier of the message with the giveaway in the boosted chat; may be 0 or an identifier of a deleted message.

  - ### isUnclaimed

    public boolean isUnclaimed
    True, if the corresponding winner wasn't chosen and the Telegram Stars were received by the owner of the boosted chat.

  - ### sticker

    @Nullable public TdApi.Sticker sticker
    A sticker to be shown in the message; may be null if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageGiveawayPrizeStars

    public MessageGiveawayPrizeStars()
    A Telegram Stars were received by the current user from a giveaway.

  - ### MessageGiveawayPrizeStars

    public MessageGiveawayPrizeStars(long starCount, String transactionId, long boostedChatId, long giveawayMessageId, boolean isUnclaimed, TdApi.Sticker sticker)
    A Telegram Stars were received by the current user from a giveaway.
    Parameters:
      `starCount` - Number of Telegram Stars that were received.
      `transactionId` - Identifier of the transaction for Telegram Stars credit.
      `boostedChatId` - Identifier of the supergroup or channel chat, which was automatically boosted by the winners of the giveaway.
      `giveawayMessageId` - Identifier of the message with the giveaway in the boosted chat; may be 0 or an identifier of a deleted message.
      `isUnclaimed` - True, if the corresponding winner wasn't chosen and the Telegram Stars were received by the owner of the boosted chat.
      `sticker` - A sticker to be shown in the message; may be null if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR